Patches for aports can be sent to this list

1

[alpine-aports] [PATCH] testing/googler: new aport

Ivan Tham
Details
Message ID
<20170305065552.10880-1-pickfire@riseup.net>
Sender timestamp
1488696952
DKIM signature
missing
Download raw message
Patch: +21 -0
https://github.com/jarun/googler
Google Search, Google Site Search, Google News from the terminal.
---
 testing/googler/APKBUILD | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)
 create mode 100644 testing/googler/APKBUILD

diff --git a/testing/googler/APKBUILD b/testing/googler/APKBUILD
new file mode 100644
index 0000000..6bac93c
--- /dev/null
+++ b/testing/googler/APKBUILD
@@ -0,0 +1,21 @@
+# Contributor: Ivan Tham <pickfire@riseup.net>
+# Maintainer: Ivan Tham <pickfire@riseup.net>
+pkgname=googler
+pkgver=2.9
+pkgrel=0
+pkgdesc="Google Search, Google Site Search, Google News from the terminal."
+url="https://github.com/jarun/googler"
+arch="noarch"
+license="GPL3"
+depends="python3"
+subpackages="$pkgname-doc"
+source="https://github.com/jarun/${pkgname}/archive/v${pkgver}.tar.gz"
+builddir="$srcdir/"$pkgname-$pkgver
+
+package() {
+	cd "$builddir"
+	make disable-self-upgrade || return 1
+	make install DESTDIR="$pkgdir" PREFIX=/usr || return 1
+}
+
+sha512sums="0fbeb2ca1a70f37ee35b80afebad6e587f42f2b9cae521ee9f057a82cb863509f686ef60b9428244b75a43bda6963b5805d9339e76ffb060bff7f40d8aeabe0c  v2.9.tar.gz"
-- 
2.11.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20170308115129.31708199@ncopa-desktop.copa.dup.pw>
In-Reply-To
<20170305065552.10880-1-pickfire@riseup.net> (view parent)
Sender timestamp
1488970289
DKIM signature
missing
Download raw message
On Sun,  5 Mar 2017 14:55:52 +0800
Ivan Tham <pickfire@riseup.net> wrote:

> https://github.com/jarun/googler
> Google Search, Google Site Search, Google News from the terminal.
> ---
>  testing/googler/APKBUILD | 21 +++++++++++++++++++++
>  1 file changed, 21 insertions(+)
>  create mode 100644 testing/googler/APKBUILD
> 

Does not build:
>>> googler: Checking sanity of /home/ncopa/aports/testing/googler/APKBUILD...
>>> ERROR: googler: source v2.9.tar.gz needs to be renamed to avoid possible collisions

-nc


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---